Skip to main content
GET
/
v1
/
run-attachments
List Run Attachments
curl --request GET \
  --url https://api.cyberdesk.io/v1/run-attachments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cyberdesk.io/v1/run-attachments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cyberdesk.io/v1/run-attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "filename": "<string>",
      "content_type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "size_bytes": 123,
      "storage_path": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "target_path": "<string>",
      "cleanup_imports_after_run": false,
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "skip": 123,
  "limit": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

run_id
string<uuid> | null

Filter by run ID

attachment_type
enum<string> | null

Filter by attachment type

Available options:
input,
output
skip
integer
default:0
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

items
RunAttachmentResponse · object[]
required
total
integer
required
skip
integer
required
limit
integer
required